Solicitar un reporte
Permite solicitar que se genere un reporte de transacciones y retorna un identificador para el proceso, el cúal una vez sea llamado el callback puede ser obtenido en el endpoint siguiente
Solicitud
- Name
auth- Type
- Autenticación
- is Required
- REQUIRED
- Description
Estructura que contiene la información de autenticación del sitio generada de acuerdo al WSSE UsernameToken Profile 1.1
- Name
filters- Type
- object
- is Required
- REQUIRED
- Description
- Name
callbackUrl- Type
- string
- is optional
- Description
- Formato:
uri
Solicitud
curl -X "POST" https://api-co-dev.placetopay.ws/gateway/report \
-H "Content-Type: application/json" \
-d '{
"locale": "es_CO",
"auth": {
"login":"aabbccdd1234567890aabbccdd123456",
"tranKey":"ABC123example456trankey+789abc012def3456ABC=",
"nonce":"NjQ4MjMzMjY0MDIyYw==",
"seed":"2023-06-08T14:59:34-05:00"
},
"filters": {
"startDate": "2023-06-07 14:59:34",
"endDate": "2023-06-08 14:59:34",
},
"callbackUrl": "https://dnetix.co/ping/report"
}'
Respuesta
- Name
status- Type
- Status
- is Required
- REQUIRED
- Description
Estructura que contiene la información sobre una solicitud o pago, informa al estado actual de la misma.
- Name
id- Type
- number
- is Required
- REQUIRED
- Description
Respuesta
{
"status": {
"status": "OK",
"reason": "00",
"message": "La solicitud se ha procesado exitosamente",
"date": "2020-01-18T18:00:00-05:00"
},
"id": 1231
}
Obtener un reporte previamente solicitado
Permite obtener un reporte previamente generado.
Solicitud
- Name
auth- Type
- Autenticación
- is Required
- REQUIRED
- Description
Estructura que contiene la información de autenticación del sitio generada de acuerdo al WSSE UsernameToken Profile 1.1
- Name
id- Type
- number
- is Required
- REQUIRED
- Description
Solicitud
curl -X "POST" https://api-co-dev.placetopay.ws/gateway/report/obtain \
-H "Content-Type: application/json" \
-H "Accept-Encoding: gzip" \
-d '{
"auth": {
"login":"aabbccdd1234567890aabbccdd123456",
"tranKey":"ABC123example456trankey+789abc012def3456ABC=",
"nonce":"NjE0OWVkODgwYjNhNw==",
"seed":"2021-09-21T09:34:48-05:00"
},
"id": 1
}'
Respuesta
OK Una vez se tiene el reporte retorna la información, el cúal es un archivo separado por tabs con los siguientes encabezados La columna de type es agragada cuando el reporte usa el filtro de type
id date transaction_date reference currency_code amount tax payment_method internal_reference status reason merchant terminal authorization refunded installments last_digits bank_currency bank_factor bank_amount issuer_name payer_document payer_first_name payer_last_name payer_email ip_address batch_number line_number type
Respuesta
id date transaction_date reference currency_code amount tax payment_method internal_reference status reason merchant terminal authorization refunded installments last_digits bank_currency bank_factor bank_amount issuer_name payer_document payer_first_name payer_last_name payer_email ip_address batch_number line_number type
c42977b5d4ff9d9613320c7ee98e9eb0 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 4113943 USD 2327 442.13 ID_VS 221 APPROVED 000468232 00990101 1 0008 USD 1 2327 Testing Bank 32694548 Miss Joanne Fadel MD Price [email protected] 237.234.250.30 AUTH_ONLY
315c9ca9e64bed46f24a2e18bdd76468 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 8122 USD 4457 846.83 ID_VS 222 APPROVED 000468232 00990101 1 0008 USD 1 4457 Testing Bank 44056172 Charlotte Maggio Steuber [email protected] 164.233.22.247 AUTH_ONLY
fd239e99125c326e92137197fd5d1959 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 753446151 USD 3798 721.62 ID_VS 223 APPROVED 000468232 00990101 1 0008 USD 1 3798 Testing Bank 51751981 Mr. Abdiel Schroeder DDS McKenzie [email protected] 250.136.231.200 AUTH_ONLY
be945b27ff13291409b929cc9cb15274 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 482657 USD 1401 266.19 ID_VS 224 APPROVED 0468232 00990101 1 0008 USD 1 1401 Testing Bank 98958097 Dr. Mia Abshire Douglas [email protected] 32.1.213.30 AUTH_ONLY
3aaa74df49cf3634276675c95e49f2af 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 77616851 USD 1921 364.99 ID_VS 225 APPROVED 000468232 00990101 1 0008 USD 1 1921 Testing Bank 6211299 Dr. Marcelina Huel I Considine [email protected] 249.218.136.4 AUTH_ONLY
6e89e692975bb117db78360c8ebf0a00 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 74141 USD 773 146.87 ID_VS 226 APPROVED 000468232 00990101 1 0008 USD 1 773 Testing Bank 22736252 Melody Goodwin DDS Gerlach [email protected] 168.87.8.132 AUTH_ONLY
b50e4e8cca851a578fa40917030397a3 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 828 USD 473 89.87 ID_VS 227 APPROVED 000468232 00990101 1 0008 USD 1 473 Testing Bank 9397147 Freeman Kirlin Aufderhar [email protected] 21.185.38.170 AUTH_ONLY
b66ffe1bff91a15986cba677bbaeaa7f 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 581122 USD 1767 335.73 ID_VS 228 APPROVED 0468232 00990101 1 0008 USD 1 1767 Testing Bank 62818359 Mrs. Rosina Mann Schaefer [email protected] 15.8.188.238 AUTH_ONLY
135afcb2f872cf55168461e7e874242a 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 3896507 USD 7 1.33 ID_VS 229 APPROVED 0468232 00990101 1 0008 USD 1 7 Testing Bank 10597030 Kristy Purdy IV Mills [email protected] 148.232.85.97 AUTH_ONLY
19868ea1110eca766186806ef0e38f71 2021-01-13T01:54:50-05:00 2021-01-13T01:54:50-05:00 68490 USD 4987 947.53 ID_VS 230 APPROVED 000468232 00990101 1 0008 USD 1 4987 Testing Bank 32385057 Mr. Harley Howe Rogahn [email protected] 87.121.113.190 AUTH_ONLY